[Buildroot] [PATCH] package/gcc: disable gcc 9.x for csky

Peter Korsgaard peter at korsgaard.com
Sat Mar 21 20:00:52 UTC 2020


>>>>> "Romain" == Romain Naour <romain.naour at smile.fr> writes:

 > When building a toolchain with upstream gcc 9.x the build
 > fail due to several issues.

 > Note: The upstream Binutils support csky target since
 > release 2.32 but the support was never enabled in the
 > Buildroot packaging. So the latest version (2.33.1) was
 > tested here.

 > [upstream gcc 9.x w/ glibc csky fork with binutils csky for or binutils 2.33.1]
 > In file included from <command-line>:
 > ./../include/libc-symbols.h:534:26: error: '__EI___errno_location' specifies less restrictive attributes than its target '__errno_location': 'const', 'nothrow' [-Werror=missing-attributes]
 >   534 |   extern __typeof (name) __EI_##name \

 > [upstream gcc 9.x w/ glibc 2.30 w/ binutils csky fork]
 > /tmp/ccThLRhb.s: Assembler messages:
 > /tmp/ccThLRhb.s:10: Error: invalid or unsupported encoding in .cfi_personality
 > /tmp/ccThLRhb.s:11: Error: invalid or unsupported encoding in .cfi_lsda

 > [upstream gcc 9.x w/ glibc 2.30 w/ binutils 2.33.1]
 > build/elf/librtld.os: in function `__sync_fetch_and_add_2':
 > libgcc/config/csky/linux-atomic.c:116: undefined reference to `__kernel_cmpxchg'

 > Currenlty, only the toolchain using binutils, gcc, glibc
 > fork produce a working toolchain. So disable gcc 9.x for
 > csky.

 > Signed-off-by: Romain Naour <romain.naour at smile.fr>
 > Cc: Yann E. MORIN <yann.morin.1998 at free.fr>
 > Cc: Guo Ren <guoren at kernel.org>
 > Cc: Arnout Vandecappelle <arnout at mind.be>
 > Cc: Peter Korsgaard <peter at korsgaard.com>

Committed to 2019.11.x and 2020.02.x, thanks.

-- 
Bye, Peter Korsgaard


More information about the buildroot mailing list